CREATE TABLE cn_srp_asgn_lines (
    SRP_ASGN_LINE_ID          NUMBER(18, 0) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PROPOSAL_ID               NUMBER(18, 0) ,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    PARTICIPANT_DETAIL_ID     NUMBER(18, 0) ,
    RULE_ID                   NUMBER(18, 0) ,
    RULE_ASSIGNMENT_ID        NUMBER(18, 0) ,
    ASSIGNED_OBJECT_ID        NUMBER(18, 0) ,
    START_DATE_ACTIVE         DATE          ,
    END_DATE_ACTIVE           DATE          ,
    ASSIGNED_OBJECT_TYPE      VARCHAR2(80)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    SRP_ASGN_LINE_ID          NUMBER(18, 0) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PROPOSAL_ID               NUMBER(18, 0) ,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    PARTICIPANT_DETAIL_ID     NUMBER(18, 0) ,
    RULE_ID                   NUMBER(18, 0) ,
    RULE_ASSIGNMENT_ID        NUMBER(18, 0) ,
    ASSIGNED_OBJECT_ID        NUMBER(18, 0) ,
    START_DATE_ACTIVE         DATE          ,
    END_DATE_ACTIVE           DATE          ,
    ASSIGNED_OBJECT_TYPE      VARCHAR2(80)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    CONSTRAINT pk_cn_srp_asgn_lines PRIMARY KEY (SRP_ASGN_LINE_ID, SRP_ASGN_LINE_ID)
);
